| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::detail::tracking::tbm::TrackerParams Struct Reference

The TrackerParams struct stores parameters of TrackerByMatching. More...

`#include <opencv2/tracking/tracking_by_matching.hpp>`

Collaboration diagram for cv::detail::tracking::tbm::TrackerParams:

## Public Member Functions
| TrackerParams ()

## Public Attributes
float | aff_thr_fast
float | aff_thr_strong
cv::Vec2f | bbox_aspect_ratios_range
| Bounding box aspect ratios range.
cv::Vec2f | bbox_heights_range
| Bounding box heights range.
bool | drop_forgotten_tracks
size_t | forget_delay
int | max_num_objects_in_track
float | min_det_conf
| Min confidence of detection.
size_t | min_track_duration
| Min track duration in milliseconds.
float | motion_affinity_w
| Motion affinity weight.
int | predict
float | reid_thr
| Affinity threshold for re-identification.
float | shape_affinity_w
| Shape affinity weight.
float | strong_affinity_thr
| of lost track.
float | time_affinity_w
| Time affinity weight.

## Detailed Description

The TrackerParams struct stores parameters of TrackerByMatching.

## Constructor & Destructor Documentation

## ◆ TrackerParams()

cv::detail::tracking::tbm::TrackerParams::TrackerParams | ( |  | ) |

Default constructor.

## Member Data Documentation

## ◆ aff_thr_fast

float cv::detail::tracking::tbm::TrackerParams::aff_thr_fast

Affinity threshold which is used to determine if tracklet and detection should be combined (fast descriptor is used).

## ◆ aff_thr_strong

float cv::detail::tracking::tbm::TrackerParams::aff_thr_strong

Affinity threshold which is used to determine if tracklet and detection should be combined(strong descriptor is used).

## ◆ bbox_aspect_ratios_range

cv::Vec2f cv::detail::tracking::tbm::TrackerParams::bbox_aspect_ratios_range

Bounding box aspect ratios range.

## ◆ bbox_heights_range

cv::Vec2f cv::detail::tracking::tbm::TrackerParams::bbox_heights_range

Bounding box heights range.

## ◆ drop_forgotten_tracks

bool cv::detail::tracking::tbm::TrackerParams::drop_forgotten_tracks

Drop forgotten tracks. If it's enabled it disables an ability to get detection log.

## ◆ forget_delay

size_t cv::detail::tracking::tbm::TrackerParams::forget_delay

Forget about track if the last bounding box in track was detected more than specified number of frames ago.

## ◆ max_num_objects_in_track

int cv::detail::tracking::tbm::TrackerParams::max_num_objects_in_track

The number of objects in track is restricted by this parameter. If it is negative or zero, the max number of objects in track is not restricted.

## ◆ min_det_conf

float cv::detail::tracking::tbm::TrackerParams::min_det_conf

Min confidence of detection.

## ◆ min_track_duration

size_t cv::detail::tracking::tbm::TrackerParams::min_track_duration

Min track duration in milliseconds.

## ◆ motion_affinity_w

float cv::detail::tracking::tbm::TrackerParams::motion_affinity_w

Motion affinity weight.

## ◆ predict

int cv::detail::tracking::tbm::TrackerParams::predict

How many frames are used to predict bounding box in case

## ◆ reid_thr

float cv::detail::tracking::tbm::TrackerParams::reid_thr

Affinity threshold for re-identification.

## ◆ shape_affinity_w

float cv::detail::tracking::tbm::TrackerParams::shape_affinity_w

Shape affinity weight.

## ◆ strong_affinity_thr

float cv::detail::tracking::tbm::TrackerParams::strong_affinity_thr

of lost track.

If 'fast' confidence is greater than this threshold then 'strong' Re-ID approach is used.

## ◆ time_affinity_w

float cv::detail::tracking::tbm::TrackerParams::time_affinity_w

Time affinity weight.

The documentation for this struct was generated from the following file:

- opencv2/tracking/tracking_by_matching.hpp